Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.events
Class VetoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.wli.worklist.api.events.VetoException

All Implemented Interfaces:
  Serializable

    public class VetoException

extends Exception

BEA Systems, Inc.

See Also:
  Serialized Form

Constructor Summary
`VetoException(String message)` Construct a new `OpVetoException` exception with a message.
`VetoException(String message, Throwable t)` Construct a new `OpVetoException` exception wrapping an underlying exception and providing a message.
`VetoException(Throwable t)` Construct a new `OpVetoException` exception wrapping an underlying exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VetoException

    public VetoException(String message,
                         Throwable t)

  Construct a new `OpVetoException` exception wrapping an underlying exception and providing a message.

  Parameters:
    `message` - The exception message
    `t` - The underlying exception

### VetoException

    public VetoException(String message)

  Construct a new `OpVetoException` exception with a message.

  Parameters:
    `message` - The exception message

### VetoException

    public VetoException(Throwable t)

  Construct a new `OpVetoException` exception wrapping an underlying exception.

  Parameters:
    `t` - The underlying exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD